| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Enumerations | Functions
Sampling Mux
bladeRF1-specific API

## Description

These functions provide control over internal and direct sampling modes of the LMS6002D.

These functions are thread-safe.

## Enumerations
enum | bladerf_sampling { BLADERF_SAMPLING_UNKNOWN , BLADERF_SAMPLING_INTERNAL , BLADERF_SAMPLING_EXTERNAL }

## Functions
API_EXPORT int CALL_CONV | bladerf_set_sampling (struct bladerf *dev, bladerf_sampling sampling)
API_EXPORT int CALL_CONV | bladerf_get_sampling (struct bladerf *dev, bladerf_sampling *sampling)

## Enumeration Type Documentation

## ◆ bladerf_sampling

enum bladerf_sampling

Sampling connection

Enumerator
BLADERF_SAMPLING_UNKNOWN | Unable to determine connection type
BLADERF_SAMPLING_INTERNAL | Sample from RX/TX connector
BLADERF_SAMPLING_EXTERNAL | Sample from J60 or J61

Definition at line 383 of file bladeRF1.h.

## Function Documentation

## ◆ bladerf_get_sampling()

API_EXPORT int CALL_CONV bladerf_get_sampling | ( | struct bladerf * | dev,
|  | bladerf_sampling * | sampling )

Read the device's current state of RXVGA2 and ADC pin connection to figure out which sampling mode it is currently configured in.

Parameters

  | dev | Device handle
  [out] | sampling | Sampling connection

Returns
  0 on success, value from Error codes list on failure

## ◆ bladerf_set_sampling()

API_EXPORT int CALL_CONV bladerf_set_sampling | ( | struct bladerf * | dev,
|  | bladerf_sampling | sampling )

Configure the sampling of the LMS6002D to be either internal or external.

Internal sampling will read from the RXVGA2 driver internal to the chip. External sampling will connect the ADC inputs to the external inputs for direct sampling.

Parameters

  | dev | Device handle
  [in] | sampling | Sampling connection

Returns
  0 on success, value from Error codes list on failure